(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else {
		var a = factory();
		for(var i in a) (typeof exports === 'object' ? exports : root)[i] = a[i];
	}
})(typeof self !== 'undefined' ? self : this, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dest/";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 534);
/******/ })
/************************************************************************/
/******/ ({

/***/ 534:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(55);


/***/ }),

/***/ 55:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = AnueLink;
/**
 * Get the corresponding url.
 * @param {*} env prod | stage | beta | int
 */
function AnueLink(env) {
  var isProd = env === 'prod';
  var cnyesBaseUrl = isProd ? 'cnyes.com' : env + '.cnyes.cool';
  var cookieDomain = isProd ? '.cnyes.com' : '.cnyes.cool';

  var wwwChannelLink = 'https://www.' + cnyesBaseUrl;
  var newsChannelLink = 'https://news.' + cnyesBaseUrl;
  var cryptoChannelLink = 'https://crypto.' + cnyesBaseUrl;
  var fundChannelLink = 'https://fund.' + cnyesBaseUrl;
  var stockTalk = 'https://stock.' + cnyesBaseUrl;
  var globalStockTalk = 'https://global-stock.' + cnyesBaseUrl;
  var invest = 'https://invest.' + cnyesBaseUrl;

  var forexChannelLink = wwwChannelLink + '/forex/reuters';
  var cryptoChannelBTCLink = cryptoChannelLink + '/BTC/24h';
  var wdStockNewsLink = newsChannelLink + '/news/cat/wd_stock';
  var forexNewsLink = newsChannelLink + '/news/cat/forex';
  var cryptoNewsLink = newsChannelLink + '/news/cat/bc_virtual';
  var bcNewsLink = newsChannelLink + '/news/cat/bc';
  var fundNewsLink = newsChannelLink + '/news/cat/fund';
  var twStockNewsLink = newsChannelLink + '/news/cat/tw_stock';
  var usStockNewsLink = newsChannelLink + '/news/cat/us_stock';
  var cnStockNewsLink = newsChannelLink + '/news/cat/cn_stock';

  var driverFundDetailLink = invest + '/funds/detail';
  var driverPageLink = invest + '/drivers';
  var newsTagLink = newsChannelLink + '/tag';
  var newsDetailLink = newsChannelLink + '/id';
  var hotTagsApiUrl = 'https://api.' + cnyesBaseUrl + '/api/v1/news/recommend/tags';
  var hotDriversApiUrl = 'https://driver.api.' + cnyesBaseUrl + '/driver/api/v1/drivers?order=1y&sort=desc&page=1&size=3';
  var hotTradesApiUrl = 'https://ws.api.' + cnyesBaseUrl + '/ga/api/v1/pageViewHot';
  var anueSearchAllApiUrl = 'https://ess.api.' + cnyesBaseUrl + '/search/api/v1/siteSearch/main?q=';

  // .net link only have prod env
  var wdStockChannelLink = 'https://www.cnyes.com/global/IndexImmediateQuotedPrice/';
  var archiveUSStock = 'https://www.cnyes.com/archive/usastock/';

  var toUrlParams = function toUrlParams(params) {
    return Object.keys(params).filter(function (key) {
      return !!params[key];
    }).map(function (key) {
      return encodeURIComponent(key) + '=' + encodeURIComponent(params[key]);
    }).join('&');
  };

  return {
    generateStockLinkBySymbol: function generateStockLinkBySymbol(symbol) {
      var symbolSplit = String(symbol).split(':');

      if (!symbolSplit || symbolSplit.length < 2) {
        return '';
      }

      if ((symbolSplit[0] === 'TWS' || symbolSplit[0] === 'TWG') && symbolSplit[2] === 'STOCK') {
        return invest + '/twstock/' + symbolSplit[0] + '/' + symbolSplit[1];
      }

      if ((symbolSplit[0] === 'TWS' || symbolSplit[0] === 'TSE') && symbolSplit[2]) {
        // symbolSplit[2]==='STOCK' || symbolSplit[2]==='INDEX'
        return stockTalk + '/market/TWS:' + symbolSplit[1] + ':' + symbolSplit[2];
      }

      if ((symbolSplit[0] === 'CNS' || symbolSplit[0] === 'HKS') && symbolSplit[2] === 'STOCK') {
        return globalStockTalk + '/market/' + symbol;
      }

      if (symbolSplit[0] === 'USS' && symbolSplit[2] === 'STOCK') {
        return invest + '/usstock/detail/' + symbolSplit[1];
      }

      if (symbolSplit[0] === 'FX') {
        return wwwChannelLink + '/forex/reuters/realtime/' + symbol;
      }

      if (symbolSplit[0] === 'EOD') {
        return 'https://www.cnyes.com/futures/html5chart/' + symbolSplit[1] + '.html';
      }

      if (symbolSplit[0] === 'CC' && symbolSplit[1]) {
        var crypto = symbolSplit[1];

        return cryptoChannelLink + '/' + crypto;
      }

      if (symbolSplit[0] === 'GI' && symbolSplit[1]) {
        return wwwChannelLink + '/index/' + symbolSplit[1];
      }

      return '';
    },
    generateFundLink: function generateFundLink(displayName, cnyesId) {
      var fundName = ('' + displayName).replace(/<(?:.|\n)*?>/gm, '');

      return driverFundDetailLink + '/' + fundName + '/' + cnyesId;
    },
    generateETFLink: function generateETFLink(symbol) {
      var symbolSplit = String(symbol).split(':');

      if (!symbolSplit || symbolSplit.length < 2) {
        return '';
      }

      if (symbolSplit[0] === 'TWS' && symbolSplit[2] === 'STOCK') {
        return stockTalk + '/market/TWS:' + symbolSplit[1] + ':' + symbolSplit[2];
      }

      if (symbolSplit[0] === 'USS' && symbolSplit[2] === 'STOCK') {
        return invest + '/etf/us/detail/' + symbolSplit[1] + '/overview';
      }

      return '';
    },
    generateSearchResultLink: function generateSearchResultLink(_ref) {
      var keyword = _ref.keyword,
          backLink = _ref.backLink;

      var params = {
        keyword: keyword,
        aink: backLink
      };

      return wwwChannelLink + '/search/all?' + toUrlParams(params);
    },
    cnyesBaseUrl: cnyesBaseUrl,
    cookieDomain: cookieDomain,
    wwwChannelLink: wwwChannelLink,
    newsChannelLink: newsChannelLink,
    cryptoChannelLink: cryptoChannelLink,
    fundChannelLink: fundChannelLink,
    stockTalk: stockTalk,
    globalStockTalk: globalStockTalk,
    invest: invest,
    forexChannelLink: forexChannelLink,
    cryptoChannelBTCLink: cryptoChannelBTCLink,
    wdStockNewsLink: wdStockNewsLink,
    forexNewsLink: forexNewsLink,
    cryptoNewsLink: cryptoNewsLink,
    bcNewsLink: bcNewsLink,
    fundNewsLink: fundNewsLink,
    twStockNewsLink: twStockNewsLink,
    usStockNewsLink: usStockNewsLink,
    cnStockNewsLink: cnStockNewsLink,
    wdStockChannelLink: wdStockChannelLink,
    archiveUSStock: archiveUSStock,
    driverFundDetailLink: driverFundDetailLink,
    driverPageLink: driverPageLink,
    newsTagLink: newsTagLink,
    newsDetailLink: newsDetailLink,
    hotTagsApiUrl: hotTagsApiUrl,
    hotDriversApiUrl: hotDriversApiUrl,
    anueSearchAllApiUrl: anueSearchAllApiUrl,
    hotTradesApiUrl: hotTradesApiUrl,
    toUrlParams: toUrlParams
  };
}

/***/ })

/******/ });
});