/* eslint-disable import/first */
jest.mock('../AnueSearchFetch', () =>
  jest.fn(() => ({
    get: jest.fn(),
  }))
);
jest.mock('../../AnueSearchInput/AnueSearchInput');

import React from 'react';
import { mount } from 'enzyme';
import AnueSearch from '../AnueSearch';
import AnueSearchFetch from '../AnueSearchFetch';
import AnueSearchInput from '../../AnueSearchInput/AnueSearchInput';

// TODO: Find the good way to test the callbacks from the mock children and complete the rest of tests.
xdescribe('<AnueSearch /> component', () => {
  let makeSubject;
  const defaultProps = {
    maxRecentHistory: 5,
    theme: null,
    customAttribute: null,
    customWrapperStyles: null,
    customInputStyles: null,
    customIconStyles: null,
    // AnueSearchInputProps
    shouldAlwaysDisplayInput: false,
    placeholder: '搜尋新聞、代碼或名稱',
    onIconClick: jest.fn(),
    onInputChange: jest.fn(),
    onInputFocus: jest.fn(),
    onInputBlur: jest.fn(),
    onInputPressEnter: jest.fn(),
  };

  beforeEach(() => {
    jest.resetModules();
    jest.resetAllMocks();
    makeSubject = params => mount(<AnueSearch {...defaultProps} {...params} />);
  });

  it('should fetch the hot search if click the AnueSearchInput', done => {
    const subject = makeSubject();

    subject.find(AnueSearchInput).simulate('click');

    setImmediate(() => {
      expect(AnueSearchFetch).toHaveBeenCalledTimes(3);
      done();
    });
  });
});
