import React from 'react';
import styles from './Footer.scss';
import getStyleName from '../../../utils/getStyleName';

export default () => {
  return (
    <footer className={getStyleName(styles, 'fundsyes-old-driver-footer')}>
      <ul className={getStyleName(styles, 'disclaimer')}>
        <li>
          本資料僅供參考，鉅亨網投顧已盡力就可靠之資料來源提供正確之意見與消息，但無法保證該等資料之完整性。內容涉及新興市場部分，因其波動性與風險程度可能較高，且其政治與經濟情勢穩定度可能低於已開發國家，也可能使資產價值受不同程度之影響，匯率走勢亦可能影響所投資之海外資產價值變動。投資人應依其本身之判斷投資，若有損益或因使用本資料所生之直接或間接損失，應由投資人自行負責，本公司無須負擔任何責任。
        </li>
        <li>本文提及之經濟走勢預測不必然代表基金之績效，基金投資風險請詳閱基金公開說明書及投資人須知。</li>
        <li>
          基金經金管會核准或同意生效，惟不表示絕無風險，基金經理公司以往之經理績效不保證基金最低投資收益；基金經理公司除盡善良管理人之注意義務外，不負責基金之盈虧，亦不保證最低之收益，投資人申購前應詳閱基金公開說明書及投資人須知。
        </li>
        <li>
          各銷售機構備有基金公開說明書及投資人須知，歡迎索取。有關基金應負擔之費用（境外基金含分銷費用），已揭露於基金之公開說明書或投資人須知中，投資人可至公開資訊觀測站或境外基金資訊觀測站中查詢。
        </li>
        <li>
          投資人投資以高收益債券為訴求之基金不宜占其投資組合過高之比重。基金經金管會核准或同意生效，惟不表示絕無風險。由於高收益債券之信用評等未達投資等級或未經信用評等，且對利率變動的敏感度甚高，故基金可能會因利率上升、市場流動性下降，或債券發行機構違約不支付本金、利息或破產而蒙受虧損。投資人應審慎評估，該等基金不適合無法承擔相關風險之投資人。基金經理公司以往之經理績效不保證基金最低投資收益；基金經理公司除盡善良管理人之注意義務外，不負責基金之盈虧，亦不保證最低之收益，投資人申購前應詳閱基金公開說明書及投資人須知。
        </li>
        <li>
          投資於Rule
          144A債券，境內高收益債券基金最高可投資基金總資產30%;境內以投資新興市場國家為主之債券型基金及平衡型基金最高可投資基金總資產15%;境外高收益債券基金可能有部分投資於美國Rule
          144A債券，該債券屬私募性質，較可能發生流動性不足，財務訊息揭露不完整或因價格不透明導致波動性較大之風險。
        </li>
        <li>不動產證券化型基金得投資於高收益債券，其投資總金額不得超過基金淨資產價值之30％。</li>
        <li>投資人因不同時間進場，將有不同之投資績效，過去之績效亦不代表未來績效之保證。</li>
        <li>基金配息率不代表基金報酬率，且過去配息率不代表未來配息率；基金淨值可能因市場因素而上下波動。</li>
        <li>
          基金配息前未先扣除應負擔之相關費用。基金的配息可能由基金的收益或本金中支付。任何涉及由本金支出的部份，可能導致原始投資金額減損。
        </li>
        <li>
          境外基金投資大陸地區證券市場以掛牌上市有價證券為限，基金投資總金額不得超過該基金淨資產價值10%(各基金實際可投資大陸地區之限額應視個別基金信託契約之規範)；境內基金則依各基金實際可投資大陸地區之限額，應視個別基金信託契約之規範。
        </li>
        <li>
          安盛環球基金-泛靈頓歐洲房地產基金A
          Dis(美元避險)(季配息)(本基金之配息來源可能為本金)：本基金每季配息金額之決定是由境外基金機構根據已取得之資本利得及股息收益狀況，並考量基金經理人對於未來市場看法，評估預定之目標配息金額是否需調整，若本基金因為市場因素造成資本利得及股息收益狀況不佳，將可能調降目標配息金額。基金配息組成項目表已揭露於國泰投顧網站，投資人可至網站上查詢。
        </li>
      </ul>
    </footer>
  );
};
