/* eslint-disable import/no-extraneous-dependencies */
import React from 'react';
import { storiesOf } from '@storybook/react';
import { withInfo } from '@storybook/addon-info';
import { withNotes } from '@storybook/addon-notes';
import SvgChart from '../SvgChart';
import notes from './SvgChart.md';
import dataTw from './mockTw';
import dataJpIndex from './mockJpIndex';

storiesOf('SvgChart', module)
  .addDecorator(story => <div style={{ padding: '1rem' }}>{story()}</div>)
  .add(
    'single session',
    withInfo()(
      withNotes(notes)(() => {
        const t = [...dataTw.t].reverse();
        const c = [...dataTw.c].reverse();
        const session = dataTw.session;

        return (
          <SvgChart
            updateKey="updateKey"
            height={102}
            width={172}
            padding={0}
            yGap={0}
            t={t}
            c={c}
            base={255}
            session={session}
            highlightLastPoint
          />
        );
      })
    )
  )
  .add(
    'double session',
    withInfo()(
      withNotes(notes)(() => {
        const t = [...dataJpIndex.t].reverse();
        const c = [...dataJpIndex.c].reverse();
        const session = dataJpIndex.session;

        return (
          <SvgChart
            updateKey="updateKey"
            height={102}
            width={172}
            padding={0}
            yGap={0}
            t={t}
            c={c}
            base={18000}
            session={session}
          />
        );
      })
    )
  );
